summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conikost@gentoo.org>2020-10-10 17:53:20 +0200
committerConrad Kostecki <conikost@gentoo.org>2020-10-10 17:57:23 +0200
commit21185d1a53f9597691eff67f05f7ac4fa0a3c769 (patch)
tree0f4507680ef88eec77b032db40a3c67121e0bb8a /net-im/prosody/prosody-0.11.7-r1.ebuild
parentsys-auth/pambase: Version bump (v20201010) (diff)
downloadgentoo-21185d1a53f9597691eff67f05f7ac4fa0a3c769.tar.gz
gentoo-21185d1a53f9597691eff67f05f7ac4fa0a3c769.tar.bz2
gentoo-21185d1a53f9597691eff67f05f7ac4fa0a3c769.zip
net-im/prosody: switch to bit32, update init scripts
Since dev-lua/LuaBitOp is not supported on >=lua-5.2, switching to dev-lua/lua-bit32 as an alternative, since it's supported by upstream. Also updated the init scripts, since starting with prosodyctl is not recomended and current init scripts warns about not using it. Closes: https://bugs.gentoo.org/407079 Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
Diffstat (limited to 'net-im/prosody/prosody-0.11.7-r1.ebuild')
-rw-r--r--net-im/prosody/prosody-0.11.7-r1.ebuild96
1 files changed, 96 insertions, 0 deletions
diff --git a/net-im/prosody/prosody-0.11.7-r1.ebuild b/net-im/prosody/prosody-0.11.7-r1.ebuild
new file mode 100644
index 000000000000..89566c865a54
--- /dev/null
+++ b/net-im/prosody/prosody-0.11.7-r1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd tmpfiles toolchain-funcs
+
+DESCRIPTION="Prosody is a modern XMPP communication server"
+HOMEPAGE="https://prosody.im/"
+SRC_URI="https://prosody.im/downloads/source/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+libevent libressl luajit mysql postgres +sqlite +ssl test +zlib"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ || (
+ >=dev-lang/lua-5.2:*
+ dev-lua/lua-bit32
+ )
+ net-dns/libidn
+ net-im/jabber-base
+ libressl? ( dev-libs/libressl:= )
+ !libressl? ( dev-libs/openssl:0= )
+ luajit? ( dev-lang/luajit:2 )
+ !luajit? ( dev-lang/lua:0 )
+"
+
+DEPEND="
+ ${COMMON_DEPEND}
+ test? ( dev-lua/busted )
+"
+
+RDEPEND="
+ ${COMMON_DEPEND}
+ dev-lua/luaexpat
+ dev-lua/luafilesystem
+ dev-lua/luasocket
+ libevent? ( dev-lua/luaevent )
+ mysql? ( dev-lua/luadbi[mysql] )
+ postgres? ( dev-lua/luadbi[postgres] )
+ sqlite? ( dev-lua/luadbi[sqlite] )
+ ssl? ( dev-lua/luasec )
+ zlib? ( dev-lua/lua-zlib )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.11.7-bit32.patch"
+ "${FILESDIR}/${PN}-0.11.7-gentoo.patch"
+)
+
+src_prepare() {
+ default
+
+ # Set correct plugin path for optional net-im/prosody-modules package
+ sed -e "s/GENTOO_LIBDIR/$(get_libdir)/g" -i prosody.cfg.lua.dist || die
+}
+
+src_configure() {
+ local myeconfargs=(
+ --c-compiler="$(tc-getCC)"
+ --datadir="${EPREFIX}/var/spool/jabber"
+ --libdir="${EPREFIX}/usr/$(get_libdir)"
+ --linker="$(tc-getCC)"
+ --ostype="linux"
+ --prefix="${EPREFIX}/usr"
+ --runwith="$(usex luajit luajit lua)"
+ --sysconfdir="${EPREFIX}/etc/jabber"
+ --with-lua-include="${EPREFIX}/usr/include"
+ --with-lua-lib="${EPREFIX}/usr/$(get_libdir)/lua"
+ )
+
+ # Since the configure script is handcrafted,
+ # and yells at unknown options, do not use 'econf'.
+ ./configure ${myeconfargs[@]} --cflags="${CFLAGS} -Wall -fPIC" --ldflags="${LDFLAGS} -shared" || die
+
+ rm makefile || die
+ mv GNUmakefile Makefile || die
+}
+
+src_install() {
+ default
+
+ newinitd "${FILESDIR}"/prosody.initd-r4 prosody
+ systemd_newunit "${FILESDIR}"/prosody.service-r1 prosody.service
+
+ newtmpfiles "${FILESDIR}"/prosody.tmpfilesd-r1 prosody.conf
+
+ keepdir /var/spool/jabber
+}
+
+pkg_postinst() {
+ tmpfiles_process prosody.conf
+}